#!/bin/bash -e

#################################Running Detective Deploy Shell Script
echo "************************************ Start of Detective Setup ************************************"
#sudo yum -y install python3-pip python3 git
#sudo pip3 install boto3

#cd detective-scripts/

# $1 = Parent Account ID
# $2 = RoleName to assume in all accounts
# $3 = Name/path of the csv file. (Should be in the formation of AccountId,EmailAddress with one AccountID and EmailAddress per line.)
# https://github.com/aws-samples/amazon-detective-multiaccount-scripts.git
# enableDetective, disableDetective and deleteInvitations scripts has been modified
echo "************************************ Enable Detective **************************************"
chmod +x ./enableDetective.py
./enableDetective.py --parent_account $1 --assume_role ${ChildAccountAssumeRoleName} --enabled_regions $2 --input_file ../accounts.csv
echo "************************************ End of Detective Setup *********************************"
