#!/bin/bash -e
#####Getting Information#####

TargetRegions=$(cat ./Accountlist.json| jq -r '.TargetRegionList | join(",")')
ParentAccount=$(cat ./Accountlist.json| jq -r .ParentAccount)

#################################Running GuardDuty, Macie, SecurityHub and Detective Role Deploy Shell Script
echo " ************************************ Start of guardduty_setup ************************************ "
cd guardduty_setup/
chmod +x ./deploy.sh
./deploy.sh ${ParentAccount} ${TargetRegions}
echo " ************************************ End of guardduty_setup ************************************** "
echo " ************************************ Start of securityhub_setup ********************************* "
cd ../securityhub_setup/
chmod +x ./deploy.sh
./deploy.sh ${ParentAccount} ${TargetRegions}
echo " ************************************ End of securityhub_setup *********************************** "
echo " ************************************ Start of macie_setup ********************************* "
cd ../macie_setup/
chmod +x ./deploy.sh
./deploy.sh ${ParentAccount} ${TargetRegions}
echo " ************************************ End of macie_setup *********************************** "
echo " ************************************ Start of DETECTIVE_setup ************************************ "
cd ../detective_setup/
chmod +x ./deploy.sh
./deploy.sh ${ParentAccount} ${TargetRegions}
echo " ************************************ End of DETECTIVE_setup ************************************** "
